/*
 * LHMC.java	
 *
 * Copyright 2007 Cristina Roura Claver cristina.roura@gmail.com
 *
 * This file is part of LHMC.
 *
 * LHMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * LHMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package lhmc;

import lhmc.gui.*;
import lhmc.network.*;

/**
 * Main Class.
 *
 * @author 	Cristina Roura Claver
 * @version 	0.01 Jun 2007
 */
public class LHMC {

    /**
     * Create the GUI.
     */
    private static void createAndShowGUI() {
                      
	LHMCGUI lhmcGUI = new LHMCGUI();
        
        /* listen for hostName petitions */        
        Thread hostListener = new Thread(new HostListener());
        hostListener.start();                

    }
    
    /**
     * Main method.
     */
    public static void main(String[] args) {
        /* 
         * Schedule a job for the event-dispatching thread:
         * creating and showing this application's GUI. 
         */
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                createAndShowGUI();
            }
        });
    }
}